Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.collections
Class RadkeHashSet

    java.lang.Object
      edu.emory.mathcs.util.collections.RadkeHashSet

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.io.Serializable, java.util.Set

public class RadkeHashSet
extends java.lang.Object
implements java.util.Set, java.lang.Cloneable, java.io.Serializable

Version:
  1.0
Author:
  Dawid Kurzyniec
See Also:
  Serialized Form

Constructor Summary
`RadkeHashSet()`
`RadkeHashSet(int initialCapacity)`
`RadkeHashSet(int initialCapacity, float loadFactor)`
`RadkeHashSet(int initialCapacity, float loadFactor, float resizeTreshold)`
`RadkeHashSet(java.util.Set m)`

Method Summary
`boolean` | `add(java.lang.Object elem)`
`boolean` | `addAll(java.util.Collection c)`
`void` | `clear()`
`java.lang.Object` | `clone()`
`boolean` | `contains(java.lang.Object elem)`
`boolean` | `containsAll(java.util.Collection c)`
`boolean` | `equals(java.lang.Object other)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.util.Iterator` | `iterator()`
`boolean` | `remove(java.lang.Object elem)`
`boolean` | `removeAll(java.util.Collection c)`
`boolean` | `retainAll(java.util.Collection c)`
`int` | `size()`
`java.lang.Object[]` | `toArray()`
`java.lang.Object[]` | `toArray(java.lang.Object[] a)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RadkeHashSet

    public RadkeHashSet()

### RadkeHashSet

    public RadkeHashSet(int initialCapacity)

### RadkeHashSet

    public RadkeHashSet(int initialCapacity,
                        float loadFactor)

### RadkeHashSet

    public RadkeHashSet(int initialCapacity,
                        float loadFactor,
                        float resizeTreshold)

### RadkeHashSet

    public RadkeHashSet(java.util.Set m)

Method Detail

### add

    public boolean add(java.lang.Object elem)

  Specified by:
    `add` in interface `java.util.Set`

### contains

    public boolean contains(java.lang.Object elem)

  Specified by:
    `contains` in interface `java.util.Set`

### remove

    public boolean remove(java.lang.Object elem)

  Specified by:
    `remove` in interface `java.util.Set`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Set`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Set`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Set`

### addAll

    public boolean addAll(java.util.Collection c)

  Specified by:
    `addAll` in interface `java.util.Set`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.util.Set`

### equals

    public boolean equals(java.lang.Object other)

  Specified by:
    `equals` in interface `java.util.Set`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Set`

### clone

    public java.lang.Object clone()

### containsAll

    public boolean containsAll(java.util.Collection c)

  Specified by:
    `containsAll` in interface `java.util.Set`

### removeAll

    public boolean removeAll(java.util.Collection c)

  Specified by:
    `removeAll` in interface `java.util.Set`

### retainAll

    public boolean retainAll(java.util.Collection c)

  Specified by:
    `retainAll` in interface `java.util.Set`

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)

  Specified by:
    `toArray` in interface `java.util.Set`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.Set`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD